Bug 1694819 - cluster-authentication-operator logs have repeating warnings that look wrong
Summary: cluster-authentication-operator logs have repeating warnings that look wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Sally
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 19:00 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:53 UTC

Description Clayton Coleman 2019-04-01 19:00:55 UTC
In operator logs:

E0401 18:32:53.745970       1 resourcesync_controller.go:237] key failed with : Authentication.operator.openshift.io "cluster" is invalid: []: Invalid value: map[string]interface {}{"apiVersion":"operator.openshift.io/v1", "kind":"Authentication", "metadata":map[string]interface {}{"generation":1, "creationTimestamp":"2019-04-01T18:32:50Z", "resourceVersion":"7881", "name":"cluster", "uid":"8ddecbcb-54ac-11e9-b1bc-0afc0fed6e50"}, "spec":map[string]interface {}{"managementState":"Managed"}, "status":map[string]interface {}{"generations":interface {}(nil), "conditions":[]interface {}{map[string]interface {}{"lastTransitionTime":"2019-04-01T18:32:53Z", "type":"ResourceSyncControllerFailing", "status":"False"}}, "version":"", "readyReplicas":0}}: validation failure list:
status.generations in body must be of type array: "null"

Looks like a bug.  Either way, no repeating message should be printed that doesn't have impact to an admin.

Comment 1 Sally 2019-04-02 15:31:08 UTC
need to pull in latest crd-schema-gen-tool, this will fix: https://github.com/openshift/cluster-authentication-operator/pull/97

Comment 4 Chuan Yu 2019-04-30 05:39:58 UTC
Verified.

No such repeating messages now.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.0-0.nightly-2019-04-28-064010   True        False         27h     Cluster version is 4.1.0-0.nightly-2019-04-28-064010

Comment 6 errata-xmlrpc 2019-06-04 10:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.